![Version actuelle](https://badgen.net/badge/release/v20220301/blue)

# Site AM Networks - Fichiers sources

## Mise à jour et fonctionnement du site

Le site [AM Networks](https://am-networks.fr) est désormais basé (depuis le 6 mars 2021) sur le système [Grav](https://getgrav.org).

Cette mise à jour permet au site de profiter d'une version en anglais, mais aussi de la disponibilité du code source sur Git.

Grav fonctionne sur la base de fichiers Markdown (.md) et ne nécessite donc pas de base de données MySQL ou autre pour s'exécuter. C'est cela qui rend le code source du site accessible.

## Dossier "images"

Contient toutes les images uploadées sur le site. Il n'y en a aucune pour l'instant.

## Dossier "pages"

Il s'agit du dossier le plus important : il contient toutes les pages du site et est mis à jour en temps réel.

Le lien sur la page d'accueil du site mène directement dans ce dossier.

Toute modification effectuée dans ce dossier est immédiatement prise en compte par le site. L'inverse est vrai aussi : toute modification effectuée sur une page du site dans la console admin est reportée dans ce dossier sans délai.

Vous avez ainsi la certitude de visiter la toute dernière version de chaque page à chaque instant, mais aussi d'avoir accès à son historique.

## Dossier "system"

Un aperçu de la configuration du site en masquant les données sensibles.
